package com.bocloud.cmp.model.jumpserver;

import java.util.Map;

import com.alibaba.fastjson.annotation.JSONField;

public class ResourceAudit {
    private String id;
    private String type;
    private String status;
    /**
     * 开始时间
     */
    private Long begin;
    /**
     * 结束时间
     */
    private Long end;
    /**
     * 用户登陆名
     */
    private String user;
    /**
     * 用户姓名
     */
    private String name;
    /**
     * 来自
     */
    @JSONField(name = "c_ip")
    private String clientIp;
    /**
     * 登往
     */
    @JSONField(name = "t_ip")
    private String targetIp;
    /**
     * 资产名
     */
    @JSONField(name = "t_name")
    private String targetName;
    /**
     * 协议
     */
    @JSONField(name = "prot")
    private String protocol;
    /**
     * 系统账户
     */
    private String account;
    /**
     * 是否在线
     */
    private Boolean online;
    /**
     * 会话时长
     */
    private Long sessionTime;
    /**
     * 主机标识
     */
    @JSONField(name = "hostid")
    private String hostId;
    /**
     * 设备类型
     */
    @JSONField(name = "sys_type")
    private String resourceType;
    /**
     * 权限来源id
     */
    @JSONField(name = "e_id")
    private String authSourceId;
    /**
     * 权限来源类型
     */
    @JSONField(name = "e_type")
    private String authSourceType;
    /**
     * 备注
     */
    private String remark;
    /**
     * CPU百分比
     */
    private String cpuPercent;
    /**
     * 缓存百分比
     */
    private String memPercent;
    /**
     * 会话启动所在集群节点名
     */
    private String nodeName;
    /**
     * 图形会话明细
     */
    @JSONField(name = "gui_sess")
    private Map<String, Object> guiSess;
    /**
     * 字符会话明细
     */
    @JSONField(name = "tui_sess")
    private Map<String, Object> tuiSess;
    /**
     * 数据库会话明细
     */
    @JSONField(name = "db_sess")
    private Map<String, Object> dbSess;
    /**
     * 文件传输明细
     */
    @JSONField(name = "file_sess")
    private Map<String, Object> fileSess;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Long getBegin() {
        return begin;
    }

    public void setBegin(Long begin) {
        this.begin = begin;
    }

    public Long getEnd() {
        return end;
    }

    public void setEnd(Long end) {
        this.end = end;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    public String getTargetIp() {
        return targetIp;
    }

    public void setTargetIp(String targetIp) {
        this.targetIp = targetIp;
    }

    public String getTargetName() {
        return targetName;
    }

    public void setTargetName(String targetName) {
        this.targetName = targetName;
    }

    public String getProtocol() {
        return protocol;
    }

    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public Boolean getOnline() {
        return online;
    }

    public void setOnline(Boolean online) {
        this.online = online;
    }

    public Long getSessionTime() {
        return sessionTime;
    }

    public void setSessionTime(Long sessionTime) {
        this.sessionTime = sessionTime;
    }

    public String getHostId() {
        return hostId;
    }

    public void setHostId(String hostId) {
        this.hostId = hostId;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public String getAuthSourceId() {
        return authSourceId;
    }

    public void setAuthSourceId(String authSourceId) {
        this.authSourceId = authSourceId;
    }

    public String getAuthSourceType() {
        return authSourceType;
    }

    public void setAuthSourceType(String authSourceType) {
        this.authSourceType = authSourceType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCpuPercent() {
        return cpuPercent;
    }

    public void setCpuPercent(String cpuPercent) {
        this.cpuPercent = cpuPercent;
    }

    public String getMemPercent() {
        return memPercent;
    }

    public void setMemPercent(String memPercent) {
        this.memPercent = memPercent;
    }

    public String getNodeName() {
        return nodeName;
    }

    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }

    public Map<String, Object> getGuiSess() {
        return guiSess;
    }

    public void setGuiSess(Map<String, Object> guiSess) {
        this.guiSess = guiSess;
    }

    public Map<String, Object> getTuiSess() {
        return tuiSess;
    }

    public void setTuiSess(Map<String, Object> tuiSess) {
        this.tuiSess = tuiSess;
    }

    public Map<String, Object> getDbSess() {
        return dbSess;
    }

    public void setDbSess(Map<String, Object> dbSess) {
        this.dbSess = dbSess;
    }

    public Map<String, Object> getFileSess() {
        return fileSess;
    }

    public void setFileSess(Map<String, Object> fileSess) {
        this.fileSess = fileSess;
    }

    @Override
    public String toString() {
        return "ResourceAudit{" +
            "type='" + type + '\'' +
            ", clientIp='" + clientIp + '\'' +
            ", targetIp='" + targetIp + '\'' +
            '}';
    }
}
